---
updatedAt: 2025-03-20T21:49:22.000Z
agentTools:
  projectIndex: https://developer.sovrn.com/llms.txt
---

# Merchant Status

The Merchant API let’s you determine approval status and access estimated commission rates at scale.

> 🚧 Authorization Header
>
> You must add authorization headers to this request. Please see the [Authorization section](https://developer.sovrn.com/docs/authorization) for further details.

## **Merchant Search:**

You can search through over 50,000 merchants working with Sovrn Commerce using the following url.

<https://publishers.viglink.com/api/merchant/search>?

## **Rate Limit**

Your calls will be limited to 1 query per 3 seconds. If you exceed our rate limit your queries will be throttled and you will get no response.

## **Sample call:**

```curl
curl -i -X GET    -H "Authorization:secret {SECRET KEY}"  'https://publishers.viglink.com/api/merchant/search?domain=nike.com'
```
```ruby
require 'httparty'

headers = {
  Authorization: "secret <secret key>"
}

params = {
  domain: "nike.com"
}

url = "https://publishers.viglink.com/api/merchant/search"

response = HTTParty.get(url, headers: headers, query: params)
```

## **Potential Categories**

<HTMLBlock>{`
<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        name
      </th>

      <th>
        code
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        Consumer Electronics
      </td>

      <td>
        CE
      </td>
    </tr>

    <tr>
      <td>
        Automotive
      </td>

      <td>
        AU
      </td>
    </tr>

    <tr>
      <td>
        Fashion & Accessories
      </td>

      <td>
        FS
      </td>
    </tr>

    <tr>
      <td>
        Health & Beauty
      </td>

      <td>
        HB
      </td>
    </tr>

    <tr>
      <td>
        Real Estate
      </td>

      <td>
        RU
      </td>
    </tr>

    <tr>
      <td>
        Art & Entertainment
      </td>

      <td>
        AE
      </td>
    </tr>

    <tr>
      <td>
        Sports & Fitness
      </td>

      <td>
        SF
      </td>
    </tr>

    <tr>
      <td>
        Self-Help
      </td>

      <td>
        SH
      </td>
    </tr>

    <tr>
      <td>
        Travel
      </td>

      <td>
        TV
      </td>
    </tr>

    <tr>
      <td>
        Financial Services
      </td>

      <td>
        FI
      </td>
    </tr>

    <tr>
      <td>
        Pets
      </td>

      <td>
        PT
      </td>
    </tr>

    <tr>
      <td>
        Cell Phones & Mobile
      </td>

      <td>
        CM
      </td>
    </tr>

    <tr>
      <td>
        News, Books & Magazines
      </td>

      <td>
        BK
      </td>
    </tr>

    <tr>
      <td>
        Education
      </td>

      <td>
        ED
      </td>
    </tr>

    <tr>
      <td>
        Other
      </td>

      <td>
        OT
      </td>
    </tr>

    <tr>
      <td>
        Dating
      </td>

      <td>
        DT
      </td>
    </tr>

    <tr>
      <td>
        Music & Musicians
      </td>

      <td>
        MM
      </td>
    </tr>

    <tr>
      <td>
        Food & Drink
      </td>

      <td>
        FD
      </td>
    </tr>

    <tr>
      <td>
        Home & Garden
      </td>

      <td>
        HG
      </td>
    </tr>

    <tr>
      <td>
        Adult & Gambling
      </td>

      <td>
        AG
      </td>
    </tr>

    <tr>
      <td>
        Career & Employment
      </td>

      <td>
        CA
      </td>
    </tr>

    <tr>
      <td>
        Collectibles
      </td>

      <td>
        CB
      </td>
    </tr>

    <tr>
      <td>
        Online Services
      </td>

      <td>
        EM
      </td>
    </tr>

    <tr>
      <td>
        Family & Baby
      </td>

      <td>
        FB
      </td>
    </tr>

    <tr>
      <td>
        Firearms and Hunting
      </td>

      <td>
        FH
      </td>
    </tr>

    <tr>
      <td>
        Gaming
      </td>

      <td>
        GM
      </td>
    </tr>

    <tr>
      <td>
        Jewelry & Watches
      </td>

      <td>
        JW
      </td>
    </tr>

    <tr>
      <td>
        Lifestyle
      </td>

      <td>
        LF
      </td>
    </tr>

    <tr>
      <td>
        Motorcycles & PowerSports
      </td>

      <td>
        MP
      </td>
    </tr>

    <tr>
      <td>
        Shopping & Coupons
      </td>

      <td>
        SP
      </td>
    </tr>

    <tr>
      <td>
        Toys & Hobbies
      </td>

      <td>
        HO
      </td>
    </tr>

    <tr>
      <td>
        Cameras & Photo
      </td>

      <td>
        CP
      </td>
    </tr>

    <tr>
      <td>
        Undefined
      </td>

      <td>
        UN
      </td>
    </tr>
  </tbody>
</Table>
`}</HTMLBlock>

## **Response Fields**

<HTMLBlock>{`
<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th>
        Field
      </th>

      <th>
        Sub-Field
      </th>

      <th>
        Description
      </th>

      <th>
        Example
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        page
      </td>

      <td>

      </td>

      <td>
        page returned
      </td>

      <td>
        1
      </td>
    </tr>

    <tr>
      <td>
        totalPages
      </td>

      <td>

      </td>

      <td>
        total number of pages with records
      </td>

      <td>
        1
      </td>
    </tr>

    <tr>
      <td>
        totalRecords
      </td>

      <td>

      </td>

      <td>
        total records displayed on this page
      </td>

      <td>
        33
      </td>
    </tr>

    <tr>
      <td>
        merchants
      </td>

      <td>
        id
      </td>

      <td>
        Sovrn Commerce specific unique identifier
      </td>

      <td>
        25700
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        groupId
      </td>

      <td>
        Sovrn Commerce specific group identifier
      </td>

      <td>
        34
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        name
      </td>

      <td>
        name of the merchant
      </td>

      <td>
        nike.com
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        groupName
      </td>

      <td>
        normalized name of merchant
      </td>

      <td>
        nike
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        updateDate
      </td>

      <td>
        last date the merchant program was updated in system
      </td>

      <td>
        2015-03-11
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        createDate
      </td>

      <td>
        date the merchant was created in the system
      </td>

      <td>
        2011-09-23
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        insider
      </td>

      <td>
        increased commission rate as part of the Insider Program
      </td>

      <td>
        false
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        industryTypes
      </td>

      <td>
        merchant vertical classification
      </td>

      <td>
        [\{"code"=>"SF", "name"=>"Sports & Fitness"}][{"code"=>"SF", "name"=>"Sports & Fitness"}]
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        affiliateCPA
      </td>

      <td>
        CPA program
      </td>

      <td>
        false
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        affiliateCPC
      </td>

      <td>
        CPC program
      </td>

      <td>
        true
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        approved
      </td>

      <td>
        can your campaign earn money on this merchant program
      </td>

      <td>
        true
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        domains
      </td>

      <td>
        an array of the domains that can be affiliated
      </td>

      <td>
        ["thedraw.nike.com", "nikefactorystore.nike.com", "jobs.nike.com", "niketown.nike.com", "news.nike.com", "insider.nike.com", "nikeid.nike.com", "go.nike.com", "content.nike.com", "nikerunning.nike.com", "photoid.nike.com", "nike.com", "m.nike.com", "store.nike.com", "nikelab.nike.com", "secure-nikeplus.nike.com", "producttesting.nike.com", "secure-store.nike.com", "niketeam.nike.com", "images.nike.com", "click.official.nike.com", "help-en-us.nike.com", "nikeplus.nike.com", "secure-images.nike.com"]
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        countries
      </td>

      <td>
        a comma separated string of the two letter country codes where this merchant accepts traffic
      </td>

      <td>
        us,ca,uk
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        merchantSensitiveTypes
      </td>

      <td>
        classification of publishers that this merchant doesn’t work with
      </td>

      <td>
        Non CPC
      </td>
    </tr>

    <tr>
      <td>

      </td>

      <td>
        rates
      </td>

      <td>
        an array of the commission rate information, can return different levels of commission, cpc rates, cpa rates, etc... For some merchants we will display a calculated commission rate. This is the average commission rate earned by our publishers for this particular merchant.
      </td>

      <td>
        \{"min"=>6.0, "max"=>6.0, "type"=>"%", "description"=>"commission(US)", "typeName"=>"%"}
      </td>
    </tr>
  </tbody>
</Table>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "merchant",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://publishers.viglink.com/api/merchant"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "x-default": "secret <secret key>"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/search": {
      "get": {
        "summary": "Merchant Status",
        "description": "The Merchant API let’s you determine approval status and access estimated commission rates at scale.",
        "operationId": "merchant-status-api",
        "parameters": [
          {
            "name": "keyword",
            "in": "query",
            "description": "Searches for a keyword in the merchant name. Leave empty for a full list of merchants",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "category",
            "in": "query",
            "description": "searches for merchants within a specific category",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "updateDate",
            "in": "query",
            "description": "searches for merchants updated on a specific date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "createDate",
            "in": "query",
            "description": "searches for merchants created on a specific date",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "insider",
            "in": "query",
            "description": "searches for merchants part of the Viglink insider program with increased commission rates",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "domain",
            "in": "query",
            "description": "searches for merchants that can affiliate a specific domain. Leave empty for a full list of merchants",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "page",
            "in": "query",
            "description": "specifies a page of the results to return. Defaults to 100 results per page",
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"page\": 1,\n    \"totalPages\": 1,\n    \"merchants\": [\n        {\n            \"id\": 25785,\n            \"name\": \"Macys CA\",\n            \"updateDate\": \"2013-10-24\",\n            \"createDate\": \"2011-10-13\",\n            \"insider\": false,\n            \"industryTypes\": [\n                {\n                    \"code\": \"FS\",\n                    \"name\": \"Fashion & Accessories\"\n                }\n            ],\n            \"affiliateCPA\": true,\n            \"affiliateCPC\": false,\n            \"approved\": false,\n            \"domains\": [\n                \"m.macys.com\",\n                \"macys.ca\",\n                \"social.macys.com\",\n                \"t.macys.com\",\n                \"macys.com\",\n                \"customerservice.macys.com\",\n                \"www1.macys.com\"\n            ],\n            \"countries\": \"ca\",\n            \"merchantSensitiveTypes\": [],\n            \"rates\": [\n                {\n                    \"min\": 3,\n                    \"max\": 3,\n                    \"type\": \"%\",\n                    \"description\": \"Calculated Rate\",\n                    \"typeName\": \"%\"\n                }\n            ]\n        },\n        {\n            \"id\": 53158,\n            \"name\": \"Macys UK\",\n            \"updateDate\": \"2014-02-27\",\n            \"createDate\": \"2012-06-26\",\n            \"insider\": false,\n            \"industryTypes\": [\n                {\n                    \"code\": \"FS\",\n                    \"name\": \"Fashion & Accessories\"\n                }\n            ],\n            \"affiliateCPA\": true,\n            \"affiliateCPC\": false,\n            \"approved\": false,\n            \"domains\": [\n                \"m.macys.com\",\n                \"social.macys.com\",\n                \"t.macys.com\",\n                \"macys.com\",\n                \"customerservice.macys.com\",\n                \"www1.macys.com\"\n            ],\n            \"countries\": \"uk,de,fr,it,es,al,ad,am,at,by,be,ba,bg,hr,cy,cz,dk,ee,fo,fi,ge,gi,gr,gg,hu,is,ie,im,je,lv,li,lt,lu,mk,mt,md,mc,me,nl,no,pl,pt,ro,ru,sm,rs,sk,si,sj,se,ch,ua,va,yu\",\n            \"merchantSensitiveTypes\": [],\n            \"rates\": [\n                {\n                    \"min\": 3,\n                    \"max\": 3,\n                    \"type\": \"%\",\n                    \"description\": \"Calculated Rate\",\n                    \"typeName\": \"%\"\n                }\n            ]\n        },\n        {\n            \"id\": 63614,\n            \"name\": \"Macys.com\",\n            \"updateDate\": \"2014-12-11\",\n            \"createDate\": \"2013-10-22\",\n            \"insider\": false,\n            \"industryTypes\": [\n                {\n                    \"code\": \"FS\",\n                    \"name\": \"Fashion & Accessories\"\n                }\n            ],\n            \"affiliateCPA\": false,\n            \"affiliateCPC\": true,\n            \"approved\": true,\n            \"domains\": [\n                \"m.macys.com\",\n                \"social.macys.com\",\n                \"macys.com\",\n                \"customerservice.macys.com\",\n                \"www1.macys.com\"\n            ],\n            \"countries\": \"us,ca\",\n            \"merchantSensitiveTypes\": [\n                \"Non CPC\"\n            ],\n            \"rates\": [\n                {\n                    \"min\": 3,\n                    \"max\": 3,\n                    \"type\": \"%\",\n                    \"description\": \"Calculated Rate\",\n                    \"typeName\": \"%\"\n                }\n            ]\n        }\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "page": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "totalPages": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "merchants": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 25785,
                            "default": 0
                          },
                          "name": {
                            "type": "string",
                            "example": "Macys CA"
                          },
                          "updateDate": {
                            "type": "string",
                            "example": "2013-10-24"
                          },
                          "createDate": {
                            "type": "string",
                            "example": "2011-10-13"
                          },
                          "insider": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "industryTypes": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "code": {
                                  "type": "string",
                                  "example": "FS"
                                },
                                "name": {
                                  "type": "string",
                                  "example": "Fashion & Accessories"
                                }
                              }
                            }
                          },
                          "affiliateCPA": {
                            "type": "boolean",
                            "example": true,
                            "default": true
                          },
                          "affiliateCPC": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "approved": {
                            "type": "boolean",
                            "example": false,
                            "default": true
                          },
                          "domains": {
                            "type": "array",
                            "items": {
                              "type": "string",
                              "example": "m.macys.com"
                            }
                          },
                          "countries": {
                            "type": "string",
                            "example": "ca"
                          },
                          "merchantSensitiveTypes": {
                            "type": "array"
                          },
                          "rates": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "min": {
                                  "type": "integer",
                                  "example": 3,
                                  "default": 0
                                },
                                "max": {
                                  "type": "integer",
                                  "example": 3,
                                  "default": 0
                                },
                                "type": {
                                  "type": "string",
                                  "example": "%"
                                },
                                "description": {
                                  "type": "string",
                                  "example": "Calculated Rate"
                                },
                                "typeName": {
                                  "type": "string",
                                  "example": "%"
                                }
                              }
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```